Bug 241969 - converters/recode: build failed - Malformed UTF-8 character
Summary: converters/recode: build failed - Malformed UTF-8 character
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: amd64 Any
: --- Affects Only Me
Assignee: Dmitry Sivachenko
URL:
Keywords:
: 241903 (view as bug list)
Depends on:
Blocks:
 
Reported: 2019-11-14 19:37 UTC by Rafal Szkodzinski
Modified: 2019-11-21 09:52 UTC (History)
2 users (show)

See Also:
bugzilla: maintainer-feedback? (demon)


Attachments
error details (6.91 KB, text/plain)
2019-11-14 19:37 UTC, Rafal Szkodzinski
no flags Details
full error details (7.38 KB, text/plain)
2019-11-14 19:50 UTC, Rafal Szkodzinski
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Rafal Szkodzinski 2019-11-14 19:37:23 UTC
Created attachment 209151 [details]
error details

Something went wrong in map to Unicode...
Comment 1 Rafal Szkodzinski 2019-11-14 19:44:29 UTC
Comment on attachment 209151 [details]
error details

===>   recode-3.6_14 depends on file: /usr/local/sbin/pkg - found
=> pinard-Recode-v3.6_GH0.tar.gz doesn't seem to exist in /usr/ports/distfiles/.
=> Attempting to fetch https://codeload.github.com/pinard/Recode/tar.gz/v3.6?dummy=/pinard-Recode-v3.6_GH0.tar.gz
===> Fetching all distfiles required by recode-3.6_14 for building
===>  Extracting for recode-3.6_14
=> SHA256 Checksum OK for pinard-Recode-v3.6_GH0.tar.gz.
===>  Patching for recode-3.6_14
===>  Applying FreeBSD patches for recode-3.6_14
===>   recode-3.6_14 depends on executable: msgfmt - found
===>   recode-3.6_14 depends on package: libiconv>=1.14_11 - found
===>   recode-3.6_14 depends on package: perl5>=5.30.r1<5.31 - found
===>   recode-3.6_14 depends on shared library: libintl.so - found (/usr/local/lib/libintl.so)
===>  Configuring for recode-3.6_14
===>   FreeBSD 10 autotools fix applied to /usr/ports/converters/recode/work/Recode-3.6/ltconfig
loading site script /usr/ports/Templates/config.site
creating cache ./config.cache
checking for a BSD compatible install... /usr/bin/install -c
checking whether build environment is sane... yes
checking whether make sets ${MAKE}... yes
checking for working aclocal... found
checking for working autoconf... found
checking for working automake... found
checking for working autoheader... found
checking for working makeinfo... found
checking how to suppress newlines using echo... option
checking for gcc... cc
checking whether the C compiler (cc -O2 -pipe  -DLIBICONV_PLUG -fstack-protector-strong -fno-strict-aliasing   -L/usr/local/lib  -fstack-protector-strong ) works... yes
checking whether the C compiler (cc -O2 -pipe  -DLIBICONV_PLUG -fstack-protector-strong -fno-strict-aliasing   -L/usr/local/lib  -fstack-protector-strong ) is a cross-compiler... no
checking whether we are using GNU C... yes
checking whether cc accepts -g... yes
checking how to run the C preprocessor... cpp
checking for AIX... no
checking for minix/config.h... (cached) no
checking host system type... amd64-portbld-freebsd12.1
checking build system type... amd64-portbld-freebsd12.1
checking for ranlib... ranlib
checking for ld used by GCC... /usr/bin/ld
checking if the linker (/usr/bin/ld) is GNU ld... yes
checking for BSD-compatible nm... /usr/local/bin/nm -B
checking whether ln -s works... yes
updating cache ./config.cache
loading cache ./config.cache within ltconfig
checking for object suffix... o
checking for executable suffix... no
checking for cc option to produce PIC... -fPIC
checking if cc PIC flag -fPIC works... yes
checking if cc supports -c -o file.o... yes
checking if cc supports -c -o file.lo... yes
checking if cc supports -fno-rtti -fno-exceptions ... yes
checking if cc static flag -static works... -static
checking if the linker (/usr/bin/ld) is GNU ld... yes
checking whether the linker (/usr/bin/ld) supports shared libraries... yes
checking command to parse /usr/local/bin/nm -B output... ok
checking how to hardcode library paths into programs... immediate
checking for /usr/bin/ld option to reload object files... -r
checking dynamic linker characteristics... freebsd12.1 ld.so
checking if libtool supports shared libraries... yes
checking whether to build shared libraries... yes
checking whether to build static libraries... yes
checking for objdir... .libs
creating libtool
updating cache ./config.cache
loading cache ./config.cache
checking for POSIXized ISC... no
checking for cc option to accept ANSI C... none needed
checking for function prototypes... yes
checking for working const... yes
checking for inline... inline
checking for flex... flex
checking for flex... (cached) flex
checking for yywrap in -lfl... yes
checking lex output file root... lex.yy
checking whether yytext is a pointer... yes
checking for ANSI C header files... (cached) yes
checking for limits.h... (cached) yes
checking for locale.h... (cached) yes
checking for memory.h... (cached) yes
checking for stdbool.h... (cached) yes
checking for stddef.h... (cached) yes
checking for stdlib.h... (cached) yes
checking for string.h... (cached) yes
checking for unistd.h... (cached) yes
checking for utime.h... (cached) yes
checking return type of signal handlers... void
checking whether time.h and sys/time.h may both be included... yes
checking for utime.h... (cached) yes
checking for struct utimbuf... yes
checking for dup2... (cached) yes
checking for mbrtowc... (cached) yes
checking for rename... (cached) yes
checking for setlocale... (cached) yes
checking for strerror... (cached) yes
checking for strndup... (cached) yes
checking for wcrtomb... (cached) yes
checking for strtol... (cached) yes
checking for strtoul... (cached) yes
checking for working alloca.h... (cached) no
checking for alloca... yes
checking for vprintf... (cached) yes
checking for working malloc... yes
checking for working realloc... yes
checking host system type... amd64-portbld-freebsd12.1
checking for langinfo.h... (cached) yes
checking for nl_langinfo... (cached) yes
checking for nl_langinfo and CODESET... yes
checking whether we are using the GNU C Library 2.1 or newer... no
checking if malloc debugging is wanted... no
checking whether NLS is wanted... yes
checking for gettext... no
checking for gettext in -lintl... yes
checking whether the included gettext is preferred... no
checking for libintl.h... yes
checking for dcgettext... yes
checking for gettext... (cached) no
checking for argz.h... (cached) no
checking for limits.h... (cached) yes
checking for locale.h... (cached) yes
checking for malloc.h... (cached) no
checking for string.h... (cached) yes
checking for unistd.h... (cached) yes
checking for sys/param.h... (cached) yes
checking for unistd.h... (cached) yes
checking for getpagesize... (cached) yes
checking for working mmap... (cached) yes
checking for getcwd... (cached) yes
checking for mempcpy... no
checking for munmap... (cached) yes
checking for setlocale... (cached) yes
checking for stpcpy... (cached) yes
checking for strcasecmp... (cached) yes
checking for strchr... (cached) yes
checking for strdup... (cached) yes
checking for __argz_count... no
checking for __argz_stringify... no
checking for __argz_next... no
checking for LC_MESSAGES... yes
checking which translations to install... da de el es fr gl it nl pl pt ru sl sv
updating cache ./config.cache
creating ./config.status
creating Makefile
creating contrib/Makefile
creating doc/Makefile
creating i18n/Makefile
creating lib/Makefile
creating libiconv/Makefile
creating m4/Makefile
creating src/Makefile
creating tests/Makefile
creating tests/atconfig
creating config.h
===>  Building for recode-3.6_14
/usr/bin/make  all-recursive
Making all in m4
Making all in doc
cd .  && LANG= LANGUAGE= makeinfo `echo recode.texi | sed 's,.*/,,'`
utf8 "\xE7" does not map to Unicode at /usr/local/share/texinfo/Texinfo/ParserNonXS.pm line 1796, <FH> line 3716.
Malformed UTF-8 character: \xe7\x6f\x69 (unexpected non-continuation byte 0x6f, immediately after start byte 0xe7; need 3 bytes, got 1) in pattern match (m//) at /usr/local/share/texinfo/Texinfo/ParserNonXS.pm line 3364.
Malformed UTF-8 character (fatal) at /usr/local/share/texinfo/Texinfo/ParserNonXS.pm line 3364.
*** Error code 25

Stop.
make[3]: stopped in /usr/ports/converters/recode/work/Recode-3.6/doc
*** Error code 1

Stop.
make[2]: stopped in /usr/ports/converters/recode/work/Recode-3.6
*** Error code 1

Stop.
make[1]: stopped in /usr/ports/converters/recode/work/Recode-3.6
*** Error code 1

Stop.
make: stopped in /usr/ports/converters/recode
root@atnus:/usr/ports/converters/recode #
Comment 2 Rafal Szkodzinski 2019-11-14 19:46:47 UTC
Comment on attachment 209151 [details]
error details

>===>   recode-3.6_14 depends on file: /usr/local/sbin/pkg - found
>=> pinard-Recode-v3.6_GH0.tar.gz doesn't seem to exist in /usr/ports/distfiles/.
>=> Attempting to fetch https://codeload.github.com/pinard/Recode/tar.gz/v3.6?dummy=/pinard-Recode-v3.6_GH0.tar.gz
>===> Fetching all distfiles required by recode-3.6_14 for building
>===>  Extracting for recode-3.6_14
>=> SHA256 Checksum OK for pinard-Recode-v3.6_GH0.tar.gz.
>===>  Patching for recode-3.6_14
>===>  Applying FreeBSD patches for recode-3.6_14
>===>   recode-3.6_14 depends on executable: msgfmt - found
>===>   recode-3.6_14 depends on package: libiconv>=1.14_11 - found
>===>   recode-3.6_14 depends on package: perl5>=5.30.r1<5.31 - found
>===>   recode-3.6_14 depends on shared library: libintl.so - found (/usr/local/lib/libintl.so)
>===>  Configuring for recode-3.6_14
>===>   FreeBSD 10 autotools fix applied to /usr/ports/converters/recode/work/Recode-3.6/ltconfig
>loading site script /usr/ports/Templates/config.site
>creating cache ./config.cache
>checking for a BSD compatible install... /usr/bin/install -c
>checking whether build environment is sane... yes
>checking whether make sets ${MAKE}... yes
>checking for working aclocal... found
>checking for working autoconf... found
>checking for working automake... found
>checking for working autoheader... found
>checking for working makeinfo... found
>checking how to suppress newlines using echo... option
>checking for gcc... cc
>checking whether the C compiler (cc -O2 -pipe  -DLIBICONV_PLUG -fstack-protector-strong -fno-strict-aliasing   -L/usr/local/lib  -fstack-protector-strong ) works... yes
>checking whether the C compiler (cc -O2 -pipe  -DLIBICONV_PLUG -fstack-protector-strong -fno-strict-aliasing   -L/usr/local/lib  -fstack-protector-strong ) is a cross-compiler... no
>checking whether we are using GNU C... yes
>checking whether cc accepts -g... yes
>checking how to run the C preprocessor... cpp
>checking for AIX... no
>checking for minix/config.h... (cached) no
>checking host system type... amd64-portbld-freebsd12.1
>checking build system type... amd64-portbld-freebsd12.1
>checking for ranlib... ranlib
>checking for ld used by GCC... /usr/bin/ld
>checking if the linker (/usr/bin/ld) is GNU ld... yes
>checking for BSD-compatible nm... /usr/local/bin/nm -B
>checking whether ln -s works... yes
>updating cache ./config.cache
>loading cache ./config.cache within ltconfig
>checking for object suffix... o
>checking for executable suffix... no
>checking for cc option to produce PIC... -fPIC
>checking if cc PIC flag -fPIC works... yes
>checking if cc supports -c -o file.o... yes
>checking if cc supports -c -o file.lo... yes
>checking if cc supports -fno-rtti -fno-exceptions ... yes
>checking if cc static flag -static works... -static
>checking if the linker (/usr/bin/ld) is GNU ld... yes
>checking whether the linker (/usr/bin/ld) supports shared libraries... yes
>checking command to parse /usr/local/bin/nm -B output... ok
>checking how to hardcode library paths into programs... immediate
>checking for /usr/bin/ld option to reload object files... -r
>checking dynamic linker characteristics... freebsd12.1 ld.so
>checking if libtool supports shared libraries... yes
>checking whether to build shared libraries... yes
>checking whether to build static libraries... yes
>checking for objdir... .libs
>creating libtool
>updating cache ./config.cache
>loading cache ./config.cache
>checking for POSIXized ISC... no
>checking for cc option to accept ANSI C... none needed
>checking for function prototypes... yes
>checking for working const... yes
>checking for inline... inline
>checking for flex... flex
>checking for flex... (cached) flex
>checking for yywrap in -lfl... yes
>checking lex output file root... lex.yy
>checking whether yytext is a pointer... yes
>checking for ANSI C header files... (cached) yes
>checking for limits.h... (cached) yes
>checking for locale.h... (cached) yes
>checking for memory.h... (cached) yes
>checking for stdbool.h... (cached) yes
>checking for stddef.h... (cached) yes
>checking for stdlib.h... (cached) yes
>checking for string.h... (cached) yes
>checking for unistd.h... (cached) yes
>checking for utime.h... (cached) yes
>checking return type of signal handlers... void
>checking whether time.h and sys/time.h may both be included... yes
>checking for utime.h... (cached) yes
>checking for struct utimbuf... yes
>checking for dup2... (cached) yes
>checking for mbrtowc... (cached) yes
>checking for rename... (cached) yes
>checking for setlocale... (cached) yes
>checking for strerror... (cached) yes
>checking for strndup... (cached) yes
>checking for wcrtomb... (cached) yes
>checking for strtol... (cached) yes
>checking for strtoul... (cached) yes
>checking for working alloca.h... (cached) no
>checking for alloca... yes
>checking for vprintf... (cached) yes
>checking for working malloc... yes
>checking for working realloc... yes
>checking host system type... amd64-portbld-freebsd12.1
>checking for langinfo.h... (cached) yes
>checking for nl_langinfo... (cached) yes
>checking for nl_langinfo and CODESET... yes
>checking whether we are using the GNU C Library 2.1 or newer... no
>checking if malloc debugging is wanted... no
>checking whether NLS is wanted... yes
>checking for gettext... no
>checking for gettext in -lintl... yes
>checking whether the included gettext is preferred... no
>checking for libintl.h... yes
>checking for dcgettext... yes
>checking for gettext... (cached) no
>checking for argz.h... (cached) no
>checking for limits.h... (cached) yes
>checking for locale.h... (cached) yes
>checking for malloc.h... (cached) no
>checking for string.h... (cached) yes
>checking for unistd.h... (cached) yes
>checking for sys/param.h... (cached) yes
>checking for unistd.h... (cached) yes
>checking for getpagesize... (cached) yes
>checking for working mmap... (cached) yes
>checking for getcwd... (cached) yes
>checking for mempcpy... no
>checking for munmap... (cached) yes
>checking for setlocale... (cached) yes
>checking for stpcpy... (cached) yes
>checking for strcasecmp... (cached) yes
>checking for strchr... (cached) yes
>checking for strdup... (cached) yes
>checking for __argz_count... no
>checking for __argz_stringify... no
>checking for __argz_next... no
>checking for LC_MESSAGES... yes
>checking which translations to install... da de el es fr gl it nl pl pt ru sl sv
>updating cache ./config.cache
>creating ./config.status
>creating Makefile
>creating contrib/Makefile
>creating doc/Makefile
>creating i18n/Makefile
>creating lib/Makefile
>creating libiconv/Makefile
>creating m4/Makefile
>creating src/Makefile
>creating tests/Makefile
>creating tests/atconfig
>creating config.h
===>  Building for recode-3.6_14
/usr/bin/make  all-recursive
Making all in m4
Making all in doc
cd .  && LANG= LANGUAGE= makeinfo `echo recode.texi | sed 's,.*/,,'`
utf8 "\xE7" does not map to Unicode at /usr/local/share/texinfo/Texinfo/ParserNonXS.pm line 1796, <FH> line 3716.
Malformed UTF-8 character: \xe7\x6f\x69 (unexpected non-continuation byte 0x6f, immediately after start byte 0xe7; need 3 bytes, got 1) in pattern match (m//) at /usr/local/share/texinfo/Texinfo/ParserNonXS.pm line 3364.
Malformed UTF-8 character (fatal) at /usr/local/share/texinfo/Texinfo/ParserNonXS.pm line 3364.
*** Error code 25

Stop.
make[3]: stopped in /usr/ports/converters/recode/work/Recode-3.6/doc
*** Error code 1

Stop.
make[2]: stopped in /usr/ports/converters/recode/work/Recode-3.6
*** Error code 1

Stop.
make[1]: stopped in /usr/ports/converters/recode/work/Recode-3.6
*** Error code 1

Stop.
make: stopped in /usr/ports/converters/recode
root@atnus:/usr/ports/converters/recode #
Comment 3 Rafal Szkodzinski 2019-11-14 19:47:55 UTC
Comment on attachment 209151 [details]
error details

>===>   recode-3.6_14 depends on file: /usr/local/sbin/pkg - found
>=> pinard-Recode-v3.6_GH0.tar.gz doesn't seem to exist in /usr/ports/distfiles/.
>=> Attempting to fetch https://codeload.github.com/pinard/Recode/tar.gz/v3.6?dummy=/pinard-Recode-v3.6_GH0.tar.gz
>===> Fetching all distfiles required by recode-3.6_14 for building
>===>  Extracting for recode-3.6_14
>=> SHA256 Checksum OK for pinard-Recode-v3.6_GH0.tar.gz.
>===>  Patching for recode-3.6_14
>===>  Applying FreeBSD patches for recode-3.6_14
>===>   recode-3.6_14 depends on executable: msgfmt - found
>===>   recode-3.6_14 depends on package: libiconv>=1.14_11 - found
>===>   recode-3.6_14 depends on package: perl5>=5.30.r1<5.31 - found
>===>   recode-3.6_14 depends on shared library: libintl.so - found (/usr/local/lib/libintl.so)
>===>  Configuring for recode-3.6_14
>===>   FreeBSD 10 autotools fix applied to /usr/ports/converters/recode/work/Recode-3.6/ltconfig
>loading site script /usr/ports/Templates/config.site
>creating cache ./config.cache
>checking for a BSD compatible install... /usr/bin/install -c
>checking whether build environment is sane... yes
>checking whether make sets ${MAKE}... yes
>checking for working aclocal... found
>checking for working autoconf... found
>checking for working automake... found
>checking for working autoheader... found
>checking for working makeinfo... found
>checking how to suppress newlines using echo... option
>checking for gcc... cc
>checking whether the C compiler (cc -O2 -pipe  -DLIBICONV_PLUG -fstack-protector-strong -fno-strict-aliasing   -L/usr/local/lib  -fstack-protector-strong ) works... yes
>checking whether the C compiler (cc -O2 -pipe  -DLIBICONV_PLUG -fstack-protector-strong -fno-strict-aliasing   -L/usr/local/lib  -fstack-protector-strong ) is a cross-compiler... no
>checking whether we are using GNU C... yes
>checking whether cc accepts -g... yes
>checking how to run the C preprocessor... cpp
>checking for AIX... no
>checking for minix/config.h... (cached) no
>checking host system type... amd64-portbld-freebsd12.1
>checking build system type... amd64-portbld-freebsd12.1
>checking for ranlib... ranlib
>checking for ld used by GCC... /usr/bin/ld
>checking if the linker (/usr/bin/ld) is GNU ld... yes
>checking for BSD-compatible nm... /usr/local/bin/nm -B
>checking whether ln -s works... yes
>updating cache ./config.cache
>loading cache ./config.cache within ltconfig
>checking for object suffix... o
>checking for executable suffix... no
>checking for cc option to produce PIC... -fPIC
>checking if cc PIC flag -fPIC works... yes
>checking if cc supports -c -o file.o... yes
>checking if cc supports -c -o file.lo... yes
>checking if cc supports -fno-rtti -fno-exceptions ... yes
>checking if cc static flag -static works... -static
>checking if the linker (/usr/bin/ld) is GNU ld... yes
>checking whether the linker (/usr/bin/ld) supports shared libraries... yes
>checking command to parse /usr/local/bin/nm -B output... ok
>checking how to hardcode library paths into programs... immediate
>checking for /usr/bin/ld option to reload object files... -r
>checking dynamic linker characteristics... freebsd12.1 ld.so
>checking if libtool supports shared libraries... yes
>checking whether to build shared libraries... yes
>checking whether to build static libraries... yes
>checking for objdir... .libs
>creating libtool
>updating cache ./config.cache
>loading cache ./config.cache
>checking for POSIXized ISC... no
>checking for cc option to accept ANSI C... none needed
>checking for function prototypes... yes
>checking for working const... yes
>checking for inline... inline
>checking for flex... flex
>checking for flex... (cached) flex
>checking for yywrap in -lfl... yes
>checking lex output file root... lex.yy
>checking whether yytext is a pointer... yes
>checking for ANSI C header files... (cached) yes
>checking for limits.h... (cached) yes
>checking for locale.h... (cached) yes
>checking for memory.h... (cached) yes
>checking for stdbool.h... (cached) yes
>checking for stddef.h... (cached) yes
>checking for stdlib.h... (cached) yes
>checking for string.h... (cached) yes
>checking for unistd.h... (cached) yes
>checking for utime.h... (cached) yes
>checking return type of signal handlers... void
>checking whether time.h and sys/time.h may both be included... yes
>checking for utime.h... (cached) yes
>checking for struct utimbuf... yes
>checking for dup2... (cached) yes
>checking for mbrtowc... (cached) yes
>checking for rename... (cached) yes
>checking for setlocale... (cached) yes
>checking for strerror... (cached) yes
>checking for strndup... (cached) yes
>checking for wcrtomb... (cached) yes
>checking for strtol... (cached) yes
>checking for strtoul... (cached) yes
>checking for working alloca.h... (cached) no
>checking for alloca... yes
>checking for vprintf... (cached) yes
>checking for working malloc... yes
>checking for working realloc... yes
>checking host system type... amd64-portbld-freebsd12.1
>checking for langinfo.h... (cached) yes
>checking for nl_langinfo... (cached) yes
>checking for nl_langinfo and CODESET... yes
>checking whether we are using the GNU C Library 2.1 or newer... no
>checking if malloc debugging is wanted... no
>checking whether NLS is wanted... yes
>checking for gettext... no
>checking for gettext in -lintl... yes
>checking whether the included gettext is preferred... no
>checking for libintl.h... yes
>checking for dcgettext... yes
>checking for gettext... (cached) no
>checking for argz.h... (cached) no
>checking for limits.h... (cached) yes
>checking for locale.h... (cached) yes
>checking for malloc.h... (cached) no
>checking for string.h... (cached) yes
>checking for unistd.h... (cached) yes
>checking for sys/param.h... (cached) yes
>checking for unistd.h... (cached) yes
>checking for getpagesize... (cached) yes
>checking for working mmap... (cached) yes
>checking for getcwd... (cached) yes
>checking for mempcpy... no
>checking for munmap... (cached) yes
>checking for setlocale... (cached) yes
>checking for stpcpy... (cached) yes
>checking for strcasecmp... (cached) yes
>checking for strchr... (cached) yes
>checking for strdup... (cached) yes
>checking for __argz_count... no
>checking for __argz_stringify... no
>checking for __argz_next... no
>checking for LC_MESSAGES... yes
>checking which translations to install... da de el es fr gl it nl pl pt ru sl sv
>updating cache ./config.cache
>creating ./config.status
>creating Makefile
>creating contrib/Makefile
>creating doc/Makefile
>creating i18n/Makefile
>creating lib/Makefile
>creating libiconv/Makefile
>creating m4/Makefile
>creating src/Makefile
>creating tests/Makefile
>creating tests/atconfig
>creating config.h
===>  Building for recode-3.6_14
/usr/bin/make  all-recursive
Making all in m4
Making all in doc
cd .  && LANG= LANGUAGE= makeinfo `echo recode.texi | sed 's,.*/,,'`
utf8 "\xE7" does not map to Unicode at /usr/local/share/texinfo/Texinfo/ParserNonXS.pm line 1796, <FH> line 3716.
Malformed UTF-8 character: \xe7\x6f\x69 (unexpected non-continuation byte 0x6f, immediately after start byte 0xe7; need 3 bytes, got 1) in pattern match (m//) at /usr/local/share/texinfo/Texinfo/ParserNonXS.pm line 3364.
Malformed UTF-8 character (fatal) at /usr/local/share/texinfo/Texinfo/ParserNonXS.pm line 3364.
*** Error code 25

Stop.
make[3]: stopped in /usr/ports/converters/recode/work/Recode-3.6/doc
*** Error code 1

Stop.
make[2]: stopped in /usr/ports/converters/recode/work/Recode-3.6
*** Error code 1

Stop.
make[1]: stopped in /usr/ports/converters/recode/work/Recode-3.6
*** Error code 1

Stop.
make: stopped in /usr/ports/converters/recode
root@atnus:/usr/ports/converters/recode #
Comment 4 Rafal Szkodzinski 2019-11-14 19:50:14 UTC
Created attachment 209152 [details]
full error details
Comment 5 Walter Schwarzenfeld freebsd_triage 2019-11-16 01:44:29 UTC
There is a new release 3.7.6

https://github.com/rrthomas/recode/releases
Comment 6 Walter Schwarzenfeld freebsd_triage 2019-11-16 03:19:36 UTC
*** Bug 241903 has been marked as a duplicate of this bug. ***
Comment 7 commit-hook freebsd_committer 2019-11-21 09:50:55 UTC
A commit references this bug:

Author: demon
Date: Thu Nov 21 09:49:52 UTC 2019
New revision: 518089
URL: https://svnweb.freebsd.org/changeset/ports/518089

Log:
  Remove non-ascii character to fix build on recent -current.
  For the long term, port should be updated to newer version.

  PR:		241903
  PR:		241969

Changes:
  head/converters/recode/files/patch-doc-recode.texi
Comment 8 Dmitry Sivachenko freebsd_committer 2019-11-21 09:51:43 UTC
I fixed non-ascii character for now, port should build fine now.

I consider newer version, for the first glance it's build system became linux-specific.

I'll look at it or feel free to submit patches.

Thanks!